Bug 525113 - setroubleshoot: SELinux is preventing /usr/bin/wine-preloader "mmap_zero" access on <Unknown>.
Summary: setroubleshoot: SELinux is preventing /usr/bin/wine-preloader "mmap_zero...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: rawhide
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:a2bc77dab48...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 12:21 UTC by shmuel siegel
Modified: 2009-09-27 08:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-23 14:25:15 UTC


Attachments (Terms of Use)

Description shmuel siegel 2009-09-23 12:21:05 UTC
The following was filed automatically by setroubleshoot:

Summary:

SELinux is preventing /usr/bin/wine-preloader "mmap_zero" access on <Unknown>.

Detailed Description:

[SELinux is in permissive mode. This access was not denied.]

SELinux denied access requested by wine-preloader. The current boolean settings
do not allow this access. If you have not setup wine-preloader to require this
access this may signal an intrusion attempt. If you do intend this access you
need to change the booleans on this system to allow the access.

Allowing Access:

Confined processes can be configured to run requiring different access, SELinux
provides booleans to allow you to turn on/off access as needed. The boolean
mmap_low_allowed is set incorrectly.
Boolean Description:
Allow certain domains to map low memory in the kernel


Fix Command:

# setsebool -P mmap_low_allowed 1

Additional Information:

Source Context                unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023
Target Objects                None [ memprotect ]
Source                        wine-preloader
Source Path                   /usr/bin/wine-preloader
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           wine-core-1.1.29-3.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-8.fc12
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Permissive
Plugin Name                   catchall_boolean
Host Name                     (removed)
Platform                      Linux (removed)
                              2.6.31-33.fc12.i686 #1 SMP Thu Sep 17 15:56:11 EDT
                              2009 i686 i686
Alert Count                   16
First Seen                    Fri 18 Sep 2009 01:23:33 PM IDT
Last Seen                     Wed 23 Sep 2009 03:18:02 PM IDT
Local ID                      d5a3b041-ed93-439d-bfa7-2d25cf09ffeb
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1253708282.650:111): avc:  denied  { mmap_zero } for  pid=9693 comm="wine-preloader" scontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 tclass=memprotect

node=(removed) type=SYSCALL msg=audit(1253708282.650:111): arch=40000003 syscall=90 success=no exit=-1 a0=bffaf180 a1=0 a2=bffaf180 a3=5a items=0 ppid=1 pid=9693 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="wine-preloader" exe="/usr/bin/wine-preloader" subj=unconfined_u:unconfined_r:wine_t:s0-s0:c0.c1023 key=(null)


audit2allow suggests:

#============= wine_t ==============
allow wine_t self:memprotect mmap_zero;

Comment 1 Daniel Walsh 2009-09-23 14:25:15 UTC
Did you read the troubleshoot?  It tells you what to do.

Comment 2 shmuel siegel 2009-09-27 08:42:32 UTC
Wine is a fedora provided package. There is no way that a user would or should know whether or not wine should be allowed to map low memory. This should be handled internally by fedora and was reported for that purpose. From your answer I still do not know whether or not I should change the boolean setting.


Note You need to log in before you can comment on or make changes to this bug.